LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 12-20-2012, 02:32 AM   #1
nitishdola
LQ Newbie
 
Registered: Dec 2012
Posts: 4

Rep: Reputation: Disabled
configure: error: APR not found. Please read the documentation


I am trying to install apache in my linux machine. But when I tried ./configure --prefix = /usr/local/apache it shows an error configure: error: APR not found. Please read the documentation. I tried to install apr with yum install apr apr-deve and it says

Package apr-1.4.6-1.fc15.x86_64 already installed and latest version No package apr-deve available.

Nothing to do What should I do now? Please excuse I am a newbie to LINUX
 
Old 12-20-2012, 03:44 AM   #2
acid_kewpie
Moderator
 
Registered: Jun 2001
Location: UK
Distribution: Gentoo, RHEL, Fedora, Centos
Posts: 43,415

Rep: Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968
I'm guessing it's NOT a typo, as it's there twice.. you need to install apr-devel, not apr-deve
 
1 members found this post helpful.
Old 12-20-2012, 03:50 AM   #3
jmc1987
Member
 
Registered: Sep 2009
Location: Oklahoma
Distribution: Debian, CentOS, windows 7
Posts: 866

Rep: Reputation: 110Reputation: 110
What version of apache are you installing? What distro are you installing on?

If your install on apache 2.2 or less thatn add flag
--with-included-apr

If you are using 2.4 than you can go to apr.apache.org and download the latest apr and apr-util. unpack them and move them into the apache source file into /srclib. make sure they are named apr and apr-util not apr.x.x.x. then you can use the --with-included-apr flag
 
  


Reply

Tags
apache, apr


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
APR-util with APR - configure error on Linux nicky77 Linux - Software 1 03-10-2010 11:25 AM
Did I configure apr, apr-util, and subversion correctly? Quip11 Linux - Server 2 06-11-2009 09:38 AM
configure error Apache APR module craftereric Linux - Software 0 03-31-2008 04:33 PM
configure failed for srclib/apr Sulman Shah Suse/Novell 1 12-02-2006 03:19 AM
./configure fails with: libz... configure: error: not found. erpe Linux - Software 17 10-11-2006 06:56 PM


All times are GMT -5. The time now is 10:55 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration